@echo off 			
set BIOS_BIN=1E672A20.4M
set MB_TYPE=EVGA E672

if "%windir%"=="" goto :EnvOk
goto :errMsg

:EnvOK
echo ===================================================
echo . BIOS flash tool for DOS
echo .
echo . Start to update the %MB_TYPE% BIOS (%BIOS_BIN%)
echo .
echo . Press 'Y' to program BIOS (Capital Letters)
echo . or 'N' to Cancel.
echo .
echo . !!!!!! DO NOT TURN OFF POWER OR RESET  !!!!!!
echo . !!!!!!    WHILE BIOS IS UPDATING       !!!!!!
echo ===================================================
cd fptdos
CHOICE /N /S /C:YN
if errorlevel 2 goto :end
if errorlevel 1 goto :flash
goto :end

:flash
set cdir=%cd%
cd fptdos
FPT -F ..\%BIOS_BIN%
FPT -GRESET
cd %cdir%
goto end

:errMsg
echo ===================================================
echo . This program cannot be run in Windows mode.
echo ===================================================
pause

:end
